PDA

View Full Version : kmod-nvidia



koperry
1st January 2009, 02:59 PM
I received an update notice yesterday evening and this is the message I get when trying to update. I have usually always been fine with akmod and kmod installed. Anybody have any ideas on the best way to finish update?

Thanks in advance.

Test Transaction Errors: file /lib/modules/2.6.27.9-159.fc10.i686.PAE/extra/nvidia/nvidia.ko from install of kmod-nvidia-2.6.27.9-159.fc10.i686.PAE-177.82-1.fc10.7.i686 conflicts with file from package kmod-nvidia-2.6.27.9-159.fc10.i686.PAE-177.82-1.fc10.4.i686

glennzo
1st January 2009, 03:28 PM
I believe that when one gets an error of that sort that you just need to wait a day or two, or maybe later on today for things to sync up. The kmods aren't ready for the kernel version you have?

koperry
1st January 2009, 03:36 PM
I'm sure you're right. I'll work on a little patience in the new year.

Thanks!

glennzo
1st January 2009, 03:39 PM
I could be right. I wouldn't bet my life on it though.:rolleyes: I've seen errors like this in the past, going back through previous Fedora versions also. Just means kmod and / or akmod isn't ready for the new kernel. Waiting has worked for me in the past.

Firewing1
1st January 2009, 04:53 PM
That's a bug in the older akmods (there's since been an update that fixes future akmods) - try removing the installed kmod and replacing it with the one from Yum. If you apply any updates to "akmods" and "kmodtool", this shouldn't happen in the future.
Firewing1

koperry
1st January 2009, 07:15 PM
I've removed akmod and kmod both, rebooted, reinstalled and still getting errors.

Dependencies Resolved

================================================== ==============================
Package Arch Version Repository Size
================================================== ==============================
Installing:
kmod-nvidia-2.6.27.9-159.fc10.i686.PAE
i686 177.82-1.fc10.7 rpmfusion-nonfree-updates 2.4 M

Transaction Summary
================================================== ==============================
Install 1 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total size: 2.4 M
Is this ok [y/N]: y
Downloading Packages:
============================== Entering rpm code ===============================
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /lib/modules/2.6.27.9-159.fc10.i686.PAE/extra/nvidia/nvidia.ko from install of kmod-nvidia-2.6.27.9-159.fc10.i686.PAE-177.82-1.fc10.7.i686 conflicts with file from package kmod-nvidia-2.6.27.9-159.fc10.i686.PAE-177.82-1.fc10.4.i686

Error Summary
-------------

koperry
3rd January 2009, 05:14 AM
I finally realized that akmod was downloading i686 kernel in addition to the kernel i686 PAE which was causing conflict. I removed akmod and the i686 and updated with just kmod-nvidia PAE, all is working well. :)